summaryrefslogtreecommitdiff
path: root/share
diff options
context:
space:
mode:
authorMassimiliano Culpo <massimiliano.culpo@gmail.com>2019-10-21 20:20:05 +0200
committerTodd Gamblin <tgamblin@llnl.gov>2019-10-21 11:20:05 -0700
commit3d77ecd92e0ccc950daf30468ec2ef591668d8eb (patch)
tree7bcc6da6dcf9bca186a5fe9e18471adc524416f1 /share
parent498f448ef353eed906a100752b2c1598423a7276 (diff)
downloadspack-3d77ecd92e0ccc950daf30468ec2ef591668d8eb.tar.gz
spack-3d77ecd92e0ccc950daf30468ec2ef591668d8eb.tar.bz2
spack-3d77ecd92e0ccc950daf30468ec2ef591668d8eb.tar.xz
spack-3d77ecd92e0ccc950daf30468ec2ef591668d8eb.zip
Bootstrap environment modules optimizing for generic architectures (#13105)
fixes #13073 Since #3206 was merged bootstrapping environment-modules was using the architecture of the current host or the best match supported by the default compiler. The former case is an issue since shell integration was looking for a spec targeted at the host microarchitecture. 1. Bootstrap an env modules targeted at generic architectures 2. Look for generic targets in shell integration scripts 3. Add a new entry in Travis to test shell integration
Diffstat (limited to 'share')
-rwxr-xr-xshare/spack/qa/run-bootstrap-tests37
1 files changed, 37 insertions, 0 deletions
diff --git a/share/spack/qa/run-bootstrap-tests b/share/spack/qa/run-bootstrap-tests
new file mode 100755
index 0000000000..346122c529
--- /dev/null
+++ b/share/spack/qa/run-bootstrap-tests
@@ -0,0 +1,37 @@
+#!/bin/bash -e
+#
+# Copyright 2013-2019 Lawrence Livermore National Security, LLC and other
+# Spack Project Developers. See the top-level COPYRIGHT file for details.
+#
+# SPDX-License-Identifier: (Apache-2.0 OR MIT)
+
+#
+# Description:
+# Checks that Spack shell integration with modules works correctly.
+#
+# Usage:
+# run-bootstrap-tests
+#
+. "$(dirname $0)/setup.sh"
+check_dependencies ${coverage} git hg svn
+
+# Fetch the sources in a mirror, and add it to Spack
+mkdir -p ~/.mirror
+bin/spack mirror add travis ~/.mirror
+bin/spack mirror create -D -d ~/.mirror environment-modules~X
+
+
+# Move to root directory of Spack
+# Allows script to be run from anywhere
+cd "$SPACK_ROOT"
+
+# Print compiler information
+spack config get compilers
+
+# Run some build smoke tests, potentially with code coverage
+${coverage_run} bin/spack bootstrap
+
+# Check module integration
+. "share/spack/setup-env.sh"
+module av || exit 1
+spack load tcl || exit 1